
Figure - Bug #117464
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】京东和得物下载安装后，首次以小窗打开会直接进入全屏
2023-04-13 17:48 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-13

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0090.C103(X103)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304210449

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 产生问题的原因是由于activity在finish的时候,把Task所有的config都还原了导致的

Description

【测试步骤】

1.通过华为应用市场下载安装京东和得物

2.长按以小窗打开

【预期结果】

2、应用以小窗显示

【实际结果】

2、首次以小窗打开会进入全屏

History

#1 - 2023-04-20 09:46 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 产生问题的原因是由于activity在finish的时候,把Task所有的config都还原了导致的

■ Current conclusion

问题已经解决

■ My analysis

产生问题的原因是由于activity在finish的时候,把Task所有的config都还原了导致的

解决问题的方法不在还原config,在activity启动的时候重新去拦截,设置启动模式

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/194395

#2 - 2023-04-21 10:32 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304210449
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/194395


4.21

验证通过

#3 - 2023-04-21 10:33 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files
